QGIS Application - Feature request #2111
let the user select the color ramp extreme colors
2009-11-18 12:43 PM - Giovanni Allegri

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 12171
Description

It would usefull (and | suppose it shouldn't be difficult) to let the user choose the color ramp extreme values, instead of having a hard
coded red-green gradient.
| imagine two color selectors to pick the two colors before the creation of the ramp.

In ggis/src/app/qgsgraduatedsymboldialog.cpp, at line 314, there's a TODO note:

"// todo: These color ramps should come from a dropdown list"

These would be both very useful enhancements...

History

#1 - 2009-11-18 12:57 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to invalid

As far as | know is already possible: try add a color ramp of type "gradient" trough the style manager. Please reopen if | misunderstand the problem.

#2 - 2009-11-18 01:30 PM - Giovanni Allegri

thanks for answering.

ok, I'm aware there's a style manager to do that, but how is it connected to the properties/symbology dialog? How can a user select the newly created ramp

to be used with graduated symbolos?

#3 - 2009-11-18 01:38 PM - Giovanni Manghi

hi,

using trunk, with the new symbology framework enabled, | see no problems using custom graduated ramps when doing a graduated symbology. Maybe |

am missing something?

#4 - 2009-11-18 02:00 PM - Giovanni Allegri

Ops, | didn't know it was so fresh in trunk. | have the revision 12167, on Windows, and my graduated symbol interface appears as in the image | attach...
So, | suppose there's something new/different in trunk now respect to the latest qgis-dev in osgeo4w...
#5 - 2009-11-18 02:04 PM - Giovanni Manghi

this seems to me the old symbology framework. You have to enable the new one in the ggis options.

#6 - 2009-11-18 02:11 PM - Giovanni Allegri

I had checked "Use new generation symbology for rendering”, but | coudn't see differences. Maybe it isn't working for windows yet...

#7 - 2009-11-18 02:27 PM - Giovanni Manghi

after enabling the new symbology it works only for newly added vectors, not for the ones already in your project

#8 - 2009-11-18 02:36 PM - Giovanni Allegri

| was just writing you back. I've tried to do it, close and reopen the shapefile... but qgis crashes if the new simbology is set.

| will open a ticket addressed to the osgeo4w mantainers :)

#9 - 2009-11-18 02:39 PM - Giovanni Manghi

do you have the qgis2google plugin enabled? | found that it interferes with thr new symbology when you try add a vector.

#10 - 2009-11-19 01:50 AM - Giovanni Allegri
| were gone to bed :)

Great! Removing the google plugin solved the crashes, and now | can see the new symbology interface. But now | don't understand how to use my color
ramps (created inside the style manager), as they don't appear in the color ramp combo.
